## gnudatalanguage 0.9.3

=== CMakeLists.txt ===
#
# copyright : (c) 2010 Maxime Lenoir and Alain Coulais
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#

# tested with 2.4 and doesn't seem to run.
# SA: 2.6 supports simplified if constructs, e.g. endif()
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)

project(GDL)

# X.X.X CVS becomes release X.X.X+1
set(VERSION "0.9.3")
enable_testing()

include(CheckIncludeFile)
include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckCSourceRuns)
include(FindPkgConfig)
include(FindPackageHandleStandardArgs)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules)

#### Default cached values
set(PYTHON_MODULE OFF CACHE BOOL "Build GDL as a Python module ?")

set(X11 ON CACHE BOOL "Enable X11 ?") 
set(X11DIR "" CACHE PATH "Specify X11 directory tree")

set(READLINE ON CACHE BOOL "Enable GNU Readline ?")
set(READLINEDIR "" CACHE PATH "Specify the GNU readline directory tree")

set(OLDPLPLOT OFF CACHE BOOL "Enable old plplot ?")
set(PLPLOTDIR "" CACHE PATH "Specify the plplot directory tree")

set(GSLDIR "" CACHE PATH "Specify the GSL directory tree")

set(ZLIBDIR "" CACHE PATH "specify the Zlib directory tree")

set(WXWIDGETS ON CACHE BOOL "Enable WxWidgets ?")
set(WXWIDGETSDIR "" CACHE PATH "Specify WxWidgets directory tree")

set(UDUNITS OFF CACHE BOOL "Enable UDUNITS-2 ?")
set(UDUNITSDIR "" CACHE PATH "Specify the UDUNITS-2 directory tree")

set(PSLIB ON CACHE BOOL "Enable pslib ?")
set(PSLIBDIR "" CACHE PATH "Specify the pslib directory tree")

set(GRIB OFF CACHE BOOL "Enable Grib ?")
set(GRIBDIR "" CACHE PATH "Specifiy the GRIB directory tree")

set(MAGICK ON CACHE BOOL "Enable Magick ?")
set(MAGICKDIR "" CACHE PATH "Specifiy the ImageMagick directory tree")

set(NETCDF ON CACHE BOOL "Enable NetCDF ?")
set(NETCDFDIR "" CACHE PATH "Specifiy the netCDF directory tree")

set(HDF ON CACHE BOOL "Enable Hdf ?")
set(HDFDIR "" CACHE PATH "Specifiy the HDF directory tree")

set(HDF5 ON CACHE BOOL "Enable Hdf5 ?")
set(HDF5DIR "" CACHE PATH "Specifiy the HDF5 directory tree")

set(FFTW ON CACHE BOOL "Enable FFTW ?")
set(FFTWDIR "" CACHE PATH "Specifiy the FFTW directory tree")

set(LIBPROJ4 OFF CACHE BOOL "Enable LIBPROJ4 ?")
set(LIBPROJ4DIR "" CACHE PATH "Specifiy the LIBPROJ4 directory tree")

set(MPICH OFF CACHE BOOL "Enable MPICH ?")
set(MPICHDIR "" CACHE PATH "Specify the MPICH (experimental) directory tree")

set(PYTHON ON CACHE BOOL "Enable Python ?")
set(PYTHONDIR "" CACHE PATH "Specifiy the use Python directory tree")
set(PYTHONVERSION "" CACHE STRING "Specify the Python version to use")

set(GSHHS OFF CACHE BOOL "Enable GSHHS ?")
set(GSHHSDIR "" CACHE PATH "Specifiy the GSHHS directory tree")

set(NCURSESDIR "" CACHE PATH "Specify the ncurses (or curses) directory tree")

set(OPENMP ON CACHE BOOL "Enable OpenMP ?")

# Third party libraries
set(JASPERDIR "" CACHE PATH "Specify the JasPer directory tree")
set(JPEGDIR "" CACHE PATH "Specify the JPEG directory tree")
set(SZIPDIR "" CACHE PATH "Specify the SZip directory tree")

set(GDL_DATA_DIR "/share/gnudatalanguage" CACHE PATH "Choose data install directory relative to CMAKE_INSTALL_PREFIX")


# check for 64-bit OS
if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
	set(HAVE_64BIT_OS 1)
endif(${CMAKE_SIZEOF_VOID_P} EQUAL 8)


#### check headers and libraries

# dl
check_library_exists(dl dlopen "" HAVE_DL)
if(HAVE_DL)
	set(LIBRARIES ${LIBRARIES} dl)
endif(HAVE_DL)

# malloc stats
check_function_exists(malloc_zone_statistics HAVE_MALLOC_ZONE_STATISTICS)
check_function_exists(sbrk HAVE_SBRK)
check_function_exists(mallinfo HAVE_MALLINFO)

# mallocs
check_include_file(malloc.h HAVE_MALLOC_H)
check_include_file(malloc/malloc.h HAVE_MALLOC_MALLOC_H)

# locale
check_include_file(locale.h HAVE_LOCALE_H)

# std includes..
check_include_file(stdint.h HAVE_STDINT_H)
check_include_file(stdlib.h HAVE_STDLIB_H)
check_include_file(string.h HAVE_STRING_H)
check_include_file(strings.h HAVE_STRINGS_H)
check_include_file(sys/stat.h HAVE_SYS_STAT_H)
check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(ext/stdio_filebuf.h HAVE_EXT_STDIO_FILEBUF_H)

# dlfcn.h
check_include_file(dlfcn.h HAVE_DLFCN_H)

# inttypes.h
check_include_file(inttypes.h HAVE_INTTYPES_H)

# nexttoward
check_library_exists(m nexttoward "" HAVE_NEXTTOWARD)

# mpi
check_include_file(mpi.h HAVE_MPI_H)

# SA: whithout it compilation of antlr fails if there's a conflicting 
#     version of antlr in system-wide directories
include_directories(src)

# Ncurses MANDATORY
# -DNCURSESDIR=DIR
set(CMAKE_PREFIX_PATH ${NCURSESDIR})	
set(CURSES_NEED_NCURSES TRUE)
find_package(Curses QUIET COMPONENTS initscr)
mark_as_advanced(CURSES_CURSES_H_PATH CURSES_FORM_LIBRARY CURSES_HAVE_CURSES_H)
if(CURSES_FOUND)
	set(HAVE_LIBNCURSES 1)
	set(LIBRARIES ${LIBRARIES} ${CURSES_LIBRARIES})
	include_directories(${CURSES_INCLUDE_DIR})
else(CURSES_FOUND)
	# search for curses
	set(CURSES_NEED_NCURSES FALSE)
	find_package(Curses COMPONENTS initscr)
	set(HAVE_LIBCURSES ${CURSES_FOUND})
	if(CURSES_FOUND)
		set(LIBRARIES ${LIBRARIES} ${CURSES_LIBRARIES})
		include_directories(${CURSES_INCLUDE_DIR})
	else(CURSES_FOUND)
		message(FATAL_ERROR "(N)Curses was not found.\n"
		"Use -DNCURSESDIR=DIR to specify the (n)curses directory tree.")
	endif(CURSES_FOUND)
endif(CURSES_FOUND)

# Readline
# -DREADLINE=ON|OFF
# -DREADLINEDIR=DIR
if(READLINE)
	# readline needs (n)curses
	set(CMAKE_PREFIX_PATH ${READLINEDIR})
	find_package(Readline QUIET)
	set(HAVE_LIBREADLINE ${READLINE_FOUND})
	if(READLINE_FOUND)
		set(CMAKE_REQUIRED_LIBRARIES ${CURSES_LIBRARIES})
		check_library_exists("${READLINE_LIBRARIES}" rl_get_screen_size "" RL_GET_SCREEN_SIZE)
		if(NOT RL_GET_SCREEN_SIZE)
			message(STATUS "WARNING: Older GNU readline without rl_get_screen_size was found.\n"
			"For resized terminals the size might not be updated correctly.\n"
			"If this is a problem please install a recent version of readline.")
		endif(NOT RL_GET_SCREEN_SIZE)
		set(LIBRARIES ${LIBRARIES} ${READLINE_LIBRARIES})
		include_directories(${READLINE_INCLUDE_DIR})
		set(CMAKE_REQUIRED_LIBRARIES)
	else(READLINE_FOUND)
		message(FATAL_ERROR "GNU readline was not found.\n"
		  "Use -DREADLINEDIR=no to explicitely disable it.\n"
                  "(suitable Debian/Ubuntu package: libreadline5-dev)\n"
                  "(suitable Fedora package: readline-devel)")
	endif(READLINE_FOUND)
endif(READLINE)

# zlib MANDATORY
# -DZLIBDIR=DIR
set(CMAKE_PREFIX_PATH ${ZLIBDIR})
find_package(ZLIB QUIET)
set(HAVE_LIBZ ${ZLIB_FOUND})
if(ZLIB_FOUND)
	set(LIBRARIES ${LIBRARIES} ${ZLIB_LIBRARIES})
	include_directories(${ZLIB_INCLUDE_DIR})
else(ZLIB_FOUND)
	message(FATAL_ERROR "ZLib library is required but was not found.\n"
	"Use -DZLIBDIR=DIR to specify the zlib directory tree.\n"
        "(suitable Debian/Ubuntu package: zlib1g-dev)\n"
        "(suitable Fedora package: zlib-devel)")
endif(ZLIB_FOUND)

# openmp
# -DOPENMP=ON|OFF
if(OPENMP)
	find_package(OpenMP QUIET)
	if(OPENMP_FOUND)
		add_definitions(${OpenMP_CXX_FLAGS})
		if(WIN32 AND NOT CYGWIN)
			set(LIBRARIES ${LIBRARIES} vcomp)
		else(WIN32 AND NOT CYGWIN)
			set(LIBRARIES ${LIBRARIES} ${OpenMP_CXX_FLAGS})
		endif(WIN32 AND NOT CYGWIN)
	endif(OPENMP_FOUND)
endif(OPENMP)

# GSL MANDATORY
# -DGSLDIR=DIR
set(CMAKE_PREFIX_PATH ${GSLDIR})
find_package(GSL QUIET)
set(HAVE_LIBGSL ${GSL_FOUND})
set(HAVE_LIBGSLCBLAS ${GSL_FOUND})
if(GSL_FOUND)
	set(LIBRARIES ${LIBRARIES} ${GSL_LIBRARIES})
	include_directories(${GSL_INCLUDE_DIR})
else(GSL_FOUND)
	message(FATAL_ERROR "Gnu Scientific library (1.7 or higher) and libgslcblas are mandatory.\n"
	"Use -DGSLDIR=DIR to specify the gsl directory tree.\n"
        "(suitable Debian/Ubuntu package: libgsl0-dev)\n"
        "(suitable Fedora package: gsl-devel)")
endif(GSL_FOUND)

if(WIN32 AND NOT CYGWIN)
set(CMAKE_PREFIX_PATH ${XDRDIR})
find_package(xdr)
set(HAVE_LIBXDR ${XDR_FOUND})
if(XDR_FOUND)
	set(LIBRARIES ${LIBRARIES} ${XDR_LIBRARIES})
	include_directories(${XDR_INCLUDE_DIR})
else(XDR_FOUND)
	message(FATAL_ERROR "bsd-xdr library is required but was not found.\n"
	"Use -DXDRDIR=DIR to specify the bsd-xdr directory tree.")
endif(XDR_FOUND)

set(CMAKE_PREFIX_PATH ${PCREDIR})
find_package(pcre)
set(HAVE_LIBPCRE ${PCRE_FOUND})
if(PCRE_FOUND)
	set(LIBRARIES ${LIBRARIES} ${PCRE_LIBRARIES})
	include_directories(${PCRE_INCLUDE_DIR})
else(PCRE_FOUND)
	message(FATAL_ERROR "pcre library is required but was not found.\n"
	"Use -DPCREDIR=DIR to specify the pcre directory tree.")
endif(PCRE_FOUND)
LINK_LIBRARIES(shlwapi)
endif(WIN32 AND NOT CYGWIN)

# PLplot MANDATORY
# -DOLDPLPLOT=ON|OFF
# -DPLPLOTDIR=DIR
set(HAVE_OLDPLPLOT ${OLDPLPLOT})
set(CMAKE_PREFIX_PATH ${PLPLOTDIR})
find_package(Plplot QUIET)
set(HAVE_LIBPLPLOTCXXD ${PLPLOT_FOUND})
if(PLPLOT_FOUND)
	set(LIBRARIES ${LIBRARIES} ${PLPLOT_LIBRARIES})
	include_directories(${PLPLOT_INCLUDE_DIR})
else(PLPLOT_FOUND)
	message(FATAL_ERROR "plplot library is required but was not found.\n"
	"Use -DPLPLOTDIR=DIR to specify the plplot directory tree.\n"
        "(suitable Debian/Ubuntu packages: libplplot-dev, [plplot9-driver-xwin])"
        "(suitable Fedora package: plplot-devel)")
endif(PLPLOT_FOUND)

check_library_exists("${PLPLOT_LIBRARIES}" plP_mmpcx "" HAVE_PLPLOT_BEFORE_5994)
if(HAVE_PLPLOT_BEFORE_5994)
  message(STATUS "OK for XYOUTS in plplot")
else(HAVE_PLPLOT_BEFORE_5994)
  message(STATUS "warning for XYOUTS in plplot")
endif(HAVE_PLPLOT_BEFORE_5994)

if(MAGICK) # support Magick
	check_library_exists("${PLPLOT_LIBRARIES}" plGetDrvDir "" HAVE_PLGETDRVDIR)
	if(HAVE_PLGETDRVDIR)
		message(STATUS "WARNING: Dynamic drivers have to be disabled in plplot.\n"
		"To make plplot work with ImageMagick:\n"
		"use -DENABLE_DYNDRIVERS=OFF cmake option when compiling plplot or\n"
		"use -DMAGICK=OFF here to not use ImageMagick in GDL.")
	endif(HAVE_PLGETDRVDIR)
endif(MAGICK)

# wxWdigets
# -DWXWIDGET=ON|OFF
# -DWXWIDGETDIR=DIR
if(WXWIDGETS)
	set(CMAKE_PREFIX_PATH ${WXWIDGETSDIR})
	find_package(wxWidgets QUIET)
	set(HAVE_LIBWXWIDGETS ${wxWidgets_FOUND})
	if(wxWidgets_FOUND)
		set(LIBRARIES ${LIBRARIES} ${wxWidgets_LIBRARIES})
		set(LINK_DIRECTORIES ${LINK_DIRECTORIES} ${wxWidgets_LIBRARY_DIRS})
		foreach(WXDEF ${wxWidgets_DEFINITIONS})
			add_definitions(-D${WXDEF})
		endforeach(WXDEF ${wxWidgets_DEFINITIONS})
		include_directories(${wxWidgets_INCLUDE_DIRS})
	else(wxWidgets_FOUND)
		message(FATAL_ERROR "wxWidgets are required but were not found.\n"
		"Use -DWXWIDGETSDIR=DIR to specify the wxWidgets directory tree.\n"
		"Use -DWXWIDGETS=OFF to not use it.\n"
                "(suitable Debian/Ubuntu package: libwxgtk2.8-dev)\n"
                "(suitable Fedora package: wxGTK-devel)")
	endif(wxWidgets_FOUND)
endif(WXWIDGETS)

# Magick
# -DMAGICK=ON|OFF
# -DMAGICKDIR=DIR
if(MAGICK)
	set(CMAKE_PREFIX_PATH ${MAGICKDIR})
	find_package(ImageMagick QUIET COMPONENTS Magick++ MagickWand MagickCore)
	mark_as_advanced(ImageMagick_EXECUTABLE_DIR ImageMagick_Magick++_INCLUDE_DIR ImageMagick_Magick++_LIBRARY
	ImageMagick_MagickCore_INCLUDE_DIR ImageMagick_MagickCore_LIBRARY ImageMagick_MagickWand_INCLUDE_DIR ImageMagick_MagickWand_LIBRARY)
	set(USE_MAGICK ${ImageMagick_FOUND})
	if(ImageMagick_FOUND)
		find_program(MAGICKXXCONFIG Magick++-config)
		if(MAGICKXXCONFIG)
			execute_process(COMMAND ${MAGICKXXCONFIG} "--libs" OUTPUT_VARIABLE MAGICKXXCONFIGLIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
			set(LIBRARIES ${LIBRARIES} ${MAGICKXXCONFIGLIBS})		
		else(MAGICKXXCONFIG)
			message(FATAL_ERROR "ImageMagick is required but was not found (Magick++-config).\n"
			"Use -DMAGICKDIR=DIR to specify the ImageMagick directory.\n"
			"Use -DMAGICK=OFF to not use it.\n"
                        "(suitable Debian/Ubuntu package: libmagick++-dev)\n"
