=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marc/gdl/testsuite

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marc/gdl

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marc/gdl/CMakeFiles /home/marc/gdl/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marc/gdl/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named check

# Build rule for target.
check: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 check
.PHONY : check

# fast build rule for target.
check/fast:
	$(MAKE) -f CMakeFiles/check.dir/build.make CMakeFiles/check.dir/build
.PHONY : check/fast

#=============================================================================
# Target rules for targets named launchtest

# Build rule for target.
launchtest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 launchtest
.PHONY : launchtest

# fast build rule for target.
launchtest/fast:
	$(MAKE) -f CMakeFiles/launchtest.dir/build.make CMakeFiles/launchtest.dir/build
.PHONY : launchtest/fast

#=============================================================================
# Target rules for targets named test_ce

# Build rule for target.
test_ce: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 test_ce
.PHONY : test_ce

# fast build rule for target.
test_ce/fast:
	$(MAKE) -f CMakeFiles/test_ce.dir/build.make CMakeFiles/test_ce.dir/build
.PHONY : test_ce/fast

# target to build an object file
libtest_ce.o:
	$(MAKE) -f CMakeFiles/test_ce.dir/build.make CMakeFiles/test_ce.dir/libtest_ce.o
.PHONY : libtest_ce.o

# target to preprocess a source file
libtest_ce.i:
	$(MAKE) -f CMakeFiles/test_ce.dir/build.make CMakeFiles/test_ce.dir/libtest_ce.i
.PHONY : libtest_ce.i

# target to generate assembly for a file
libtest_ce.s:
	$(MAKE) -f CMakeFiles/test_ce.dir/build.make CMakeFiles/test_ce.dir/libtest_ce.s
.PHONY : libtest_ce.s

# target to build an object file
testsuite/launchtest.o:
	$(MAKE) -f CMakeFiles/launchtest.dir/build.make CMakeFiles/launchtest.dir/testsuite/launchtest.o
.PHONY : testsuite/launchtest.o

# target to preprocess a source file
testsuite/launchtest.i:
	$(MAKE) -f CMakeFiles/launchtest.dir/build.make CMakeFiles/launchtest.dir/testsuite/launchtest.i
.PHONY : testsuite/launchtest.i

# target to generate assembly for a file
testsuite/launchtest.s:
	$(MAKE) -f CMakeFiles/launchtest.dir/build.make CMakeFiles/launchtest.dir/testsuite/launchtest.s
.PHONY : testsuite/launchtest.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... check"
	@echo "... edit_cache"
	@echo "... launchtest"
	@echo "... rebuild_cache"
	@echo "... test_ce"
	@echo "... libtest_ce.o"
	@echo "... libtest_ce.i"
	@echo "... libtest_ce.s"
	@echo "... testsuite/launchtest.o"
	@echo "... testsuite/launchtest.i"
	@echo "... testsuite/launchtest.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
