=== debian/changelog ===
gnudatalanguage (0.9.3-2) unstable; urgency=low

  * Upload to unstable.
  * Revamp debian/rules
    - Allow parallel builds
    - Use debian/manpages instead of dh_installman parameter
    - Switch to dh7 style debian/rules file
  * Bump debhelper compatibility to 9
    - Update versioned debhelper build-dependency
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Wed, 15 May 2013 02:23:58 +0200

gnudatalanguage (0.9.3-1) experimental; urgency=low

  * New upstream release (Closes: #696835)
    - Drop patch fix-muldefs, applied upstream
    - Refresh patch build-with-debian-antlr-instead-embedded-one
    - Drop patch remove-plot3d-nr-cpp-660260, no more needed
    - Drop patch disable-plstrl-and-plP_mmpcx. no more needed
    - Drop patch manpage-fixes, applied upstream
    - Drop lintian override for configure-generated-file-in-source
    - debian/rules: Remove no more needed clean excludes
  * Enable upstream's experimental testsuite, but ignore the result for
    now.
  * Use dh_auto_{configure,build,install}
  * clean target: Remove Makefile if it was generated by CMake

 -- Axel Beckert <abe@debian.org>  Fri, 04 Jan 2013 22:35:21 +0100
