=== debian/control ===
Source: gnudatalanguage
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
Section: interpreters
Priority: extra
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libantlr-dev,
               libfftw3-dev,
               libgrib-api-dev [i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf],
               libgsl0-dev,
               libhdf4-alt-dev,
               libhdf5-dev | libhdf5-serial-dev,
               libmagick++-dev,
               libnetcdf-dev,
               libplplot-dev,
               libreadline-dev,
               libudunits2-dev,
               libwxgtk2.8-dev,
               pslib-dev,
               python-all-dev,
               python-numpy,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://gnudatalanguage.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/gnudatalanguage.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnudatalanguage.git

Package: gnudatalanguage
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: plplot11-driver-xwin, python-numpy
Description: Free IDL compatible incremental compiler
 A free IDL (Interactive Data Language) compatible incremental compiler.
 It has full syntax compatibility with IDL 7.1. IDL is a registered trademark
 of ITT Visual Information Solutions.
