## gnudatalanguage 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,13 +14,14 @@
 project(GDL)
 
 # X.X.X CVS becomes release X.X.X+1
-set(VERSION "0.9.3")
+set(VERSION "0.9.4")
 enable_testing()
 
 include(CheckIncludeFile)
 include(CheckIncludeFileCXX)
 include(CheckLibraryExists)
 include(CheckFunctionExists)
+include(CheckSymbolExists)
 include(CheckCSourceRuns)
 include(FindPkgConfig)
 include(FindPackageHandleStandardArgs)
@@ -49,14 +50,22 @@
 set(UDUNITS OFF CACHE BOOL "Enable UDUNITS-2 ?")
 set(UDUNITSDIR "" CACHE PATH "Specify the UDUNITS-2 directory tree")
 
+set(EIGEN3 ON CACHE BOOL "Enable Eigen3 ?")
+set(EIGEN3DIR "" CACHE PATH "Specify the Eigen3 directory tree")
+
 set(PSLIB ON CACHE BOOL "Enable pslib ?")
 set(PSLIBDIR "" CACHE PATH "Specify the pslib directory tree")
 
 set(GRIB OFF CACHE BOOL "Enable Grib ?")
 set(GRIBDIR "" CACHE PATH "Specifiy the GRIB directory tree")
 
-set(MAGICK ON CACHE BOOL "Enable Magick ?")
+
+set(MAGICK ON CACHE BOOL "Enable ImageMagick ?")
 set(MAGICKDIR "" CACHE PATH "Specifiy the ImageMagick directory tree")
+
+# GraphicsMagick is a good alternative to ImageMagick
+set(GRAPHICSMAGICK ON CACHE BOOL "Enable GraphicsMagick ?")
+set(GRAPHICSMAGICKDIR "" CACHE PATH "Specify the GraphicsMagick directory tree")
 
 set(NETCDF ON CACHE BOOL "Enable NetCDF ?")
 set(NETCDFDIR "" CACHE PATH "Specifiy the netCDF directory tree")
@@ -285,62 +294,60 @@
         "(suitable Fedora package: plplot-devel)")
 endif(PLPLOT_FOUND)
 
-check_library_exists("${PLPLOT_LIBRARIES}" plP_mmpcx "" HAVE_PLPLOT_BEFORE_5994)
-if(HAVE_PLPLOT_BEFORE_5994)
-  message(STATUS "OK for XYOUTS in plplot")
-else(HAVE_PLPLOT_BEFORE_5994)
-  message(STATUS "warning for XYOUTS in plplot")
-endif(HAVE_PLPLOT_BEFORE_5994)
+if(PLPLOT_FOUND)
+	check_library_exists("${PLPLOT_LIBRARIES}" c_plslabelfunc "" HAVE_PLPLOT_SLABELFUNC)
+	if(HAVE_PLPLOT_SLABELFUNC)
+	  set(HAVE_PLPLOT_SLABELFUNC 1)
+	else(HAVE_PLPLOT_SLABELFUNC)
+	  message(STATUS "warning, due to old plplot library, [XYZ]TICKFORMAT option for plot axis will not be supported.\n"
+	    "you should upgrade to plplot version > 5.9.6")
+	endif(HAVE_PLPLOT_SLABELFUNC)
+	check_library_exists("${PLPLOT_LIBRARIES}" plstrl "" PLPLOT_PRIVATE_NOT_HIDDEN)
+	if(PLPLOT_PRIVATE_NOT_HIDDEN)
+	  set(PLPLOT_PRIVATE_NOT_HIDDEN 1)
+	else(PLPLOT_PRIVATE_NOT_HIDDEN)
+	  message(STATUS "Using a plplot library without private functions - workarounds will be used.")
+	endif(PLPLOT_PRIVATE_NOT_HIDDEN)
+	check_library_exists("${PLPLOT_LIBRARIES}" c_pllegend "" PLPLOT_HAS_LEGEND)
+	if(PLPLOT_HAS_LEGEND)
+	  set(PLPLOT_HAS_LEGEND 1)
+	else(PLPLOT_HAS_LEGEND)
+	  message(STATUS "Your plplot lib is too old for some gdl functions, please upgrade.")
+	endif(PLPLOT_HAS_LEGEND)
+endif(PLPLOT_FOUND)
+	
+# GRAPHICSMAGICK is an alternative to the classical ImageMagick Lib.
+#
+# -DGRAPHICSMAGICK=ON|OFF
+# -DGRAPHICSMAGICKDIR=DIR
+if(GRAPHICSMAGICK)
+	if (MAGICK_FOUND)
+	   message("We prefer to use GraphicsMagick than ImageMagick")
+	   set(MAGICK off)
+	endif(MAGICK_FOUND)
+	set(CMAKE_PREFIX_PATH ${GRAPHICSMAGICKDIR})
+	find_package(GraphicsMagick QUIET)
+	set(USE_MAGICK ${GRAPHICSMAGICK_FOUND})
+	if(GRAPHICSMAGICK_FOUND)
+		include_directories(${GRAPHICSMAGICK_INCLUDE_DIR})	
+		set(LIBRARIES ${LIBRARIES} ${GRAPHICSMAGICK_LIBRARIES})		
+	else(GRAPHICSMAGICK_FOUND)
+		message( STATUS
+		"GRAPHICSMAGICK is strongly suggested but was not found.
+		Use -DGRAPHICSMAGICKDIR=DIR to specify the GraphicsMagick directory tree.
+		Use -DGRAPHICSMAGICK=OFF to not use it.
+                (suitable Fedora package: GraphicsMagick-c++-devel
+		   Debian/Ubuntu package: libgraphicsmagick++1-devel)\n")
+		message( STATUS 
+		"Looking for ImageMagick")
+	endif(GRAPHICSMAGICK_FOUND)
+endif(GRAPHICSMAGICK)
+
+if(GRAPHICSMAGICK_FOUND)
+	set(MAGICK OFF)
+endif(GRAPHICSMAGICK_FOUND)
 
 if(MAGICK) # support Magick
 	check_library_exists("${PLPLOT_LIBRARIES}" plGetDrvDir "" HAVE_PLGETDRVDIR)
 	if(HAVE_PLGETDRVDIR)
 		message(STATUS "WARNING: Dynamic drivers have to be disabled in plplot.\n"
-		"To make plplot work with ImageMagick:\n"
-		"use -DENABLE_DYNDRIVERS=OFF cmake option when compiling plplot or\n"
-		"use -DMAGICK=OFF here to not use ImageMagick in GDL.")
-	endif(HAVE_PLGETDRVDIR)
-endif(MAGICK)
-
-# wxWdigets
-# -DWXWIDGET=ON|OFF
-# -DWXWIDGETDIR=DIR
-if(WXWIDGETS)
-	set(CMAKE_PREFIX_PATH ${WXWIDGETSDIR})
-	find_package(wxWidgets QUIET)
-	set(HAVE_LIBWXWIDGETS ${wxWidgets_FOUND})
-	if(wxWidgets_FOUND)
-		set(LIBRARIES ${LIBRARIES} ${wxWidgets_LIBRARIES})
-		set(LINK_DIRECTORIES ${LINK_DIRECTORIES} ${wxWidgets_LIBRARY_DIRS})
-		foreach(WXDEF ${wxWidgets_DEFINITIONS})
-			add_definitions(-D${WXDEF})
-		endforeach(WXDEF ${wxWidgets_DEFINITIONS})
-		include_directories(${wxWidgets_INCLUDE_DIRS})
-	else(wxWidgets_FOUND)
-		message(FATAL_ERROR "wxWidgets are required but were not found.\n"
-		"Use -DWXWIDGETSDIR=DIR to specify the wxWidgets directory tree.\n"
-		"Use -DWXWIDGETS=OFF to not use it.\n"
-                "(suitable Debian/Ubuntu package: libwxgtk2.8-dev)\n"
-                "(suitable Fedora package: wxGTK-devel)")
-	endif(wxWidgets_FOUND)
-endif(WXWIDGETS)
-
-# Magick
-# -DMAGICK=ON|OFF
-# -DMAGICKDIR=DIR
-if(MAGICK)
-	set(CMAKE_PREFIX_PATH ${MAGICKDIR})
-	find_package(ImageMagick QUIET COMPONENTS Magick++ MagickWand MagickCore)
-	mark_as_advanced(ImageMagick_EXECUTABLE_DIR ImageMagick_Magick++_INCLUDE_DIR ImageMagick_Magick++_LIBRARY
-	ImageMagick_MagickCore_INCLUDE_DIR ImageMagick_MagickCore_LIBRARY ImageMagick_MagickWand_INCLUDE_DIR ImageMagick_MagickWand_LIBRARY)
-	set(USE_MAGICK ${ImageMagick_FOUND})
-	if(ImageMagick_FOUND)
-		find_program(MAGICKXXCONFIG Magick++-config)
-		if(MAGICKXXCONFIG)
-			execute_process(COMMAND ${MAGICKXXCONFIG} "--libs" OUTPUT_VARIABLE MAGICKXXCONFIGLIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
-			set(LIBRARIES ${LIBRARIES} ${MAGICKXXCONFIGLIBS})		
-		else(MAGICKXXCONFIG)
-			message(FATAL_ERROR "ImageMagick is required but was not found (Magick++-config).\n"
-			"Use -DMAGICKDIR=DIR to specify the ImageMagick directory.\n"
-			"Use -DMAGICK=OFF to not use it.\n"
-                        "(suitable Debian/Ubuntu package: libmagick++-dev)\n"
