=== debian/changelog ===
gnudatalanguage (0.9.4-1ubuntu2) trusty; urgency=medium

  * Update plplot12-driver-xwin recommendation.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Mar 2014 14:19:00 +0100

gnudatalanguage (0.9.4-1ubuntu1) trusty; urgency=medium

  * Fix build failure with plplot-5.10.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Feb 2014 15:56:45 +0100

gnudatalanguage (0.9.4-1build1) trusty; urgency=low

  * No-change rebuild for new grib-api.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 Dec 2013 17:38:08 -0500

gnudatalanguage (0.9.4-1) unstable; urgency=low

  * New upstream release
    + Refresh patches

 -- Axel Beckert <abe@debian.org>  Sun, 29 Sep 2013 16:19:44 +0200
