=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libhdf5-dev | libhdf5-serial-dev,
                libmagick++-dev,
                libnetcdf-dev,
-               libplplot-dev,
+               libplplot-dev (>= 5.10),
                libreadline-dev,
                libudunits2-dev,
                libwxgtk2.8-dev,
@@ -31,7 +31,7 @@
 Package: gnudatalanguage
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: plplot11-driver-xwin, python-numpy
+Recommends: plplot12-driver-xwin, python-numpy
 Description: Free IDL compatible incremental compiler
  A free IDL (Interactive Data Language) compatible incremental compiler.
  It has full syntax compatibility with IDL 7.1. IDL is a registered trademark
