=== debian/watch ===
version=3
opts=uversionmangle=s/(pre|rc)([^.]*)/~$1$2/ \
 http://sf.net/gnudatalanguage/gdl-(.*)\.tar\.gz
